OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpPortal.Receiver

    java.lang.Object
      org.opennms.protocols.snmp.SnmpPortal.Receiver

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SnmpPortal

private class SnmpPortal.Receiver
extends java.lang.Object
implements java.lang.Runnable

Defines the inner class that monitors the datagram socket and receives all the PDU responses. If an exception is generated then it is saved in m_why and can be re-generated with a call to raise().

Constructor Summary
`private` `SnmpPortal.Receiver()`

Method Summary
`void` `run()` The run method is an infinite loop method that receives all datagrams for the session.
`private int` `setup()` Called to setup the communications channel buffers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpPortal.Receiver

    private SnmpPortal.Receiver()

Method Detail

### setup

    private int setup()

  Called to setup the communications channel buffers. The method attempts to set the received buffer size to 64k. If it fails then the default buffer size is recovered. If the default buffer size cannot be recovered then a zero is returned.

  Returns:
    The communications channel receive buffer size. A zero is returned on error

### run

    public void run()

  The run method is an infinite loop method that receives all datagrams for the session. If an unrecoverable error occurs then the m_handler is informed of the error If a pdu is recovered from the channel then the associated handler is invoked to process the pdu.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `SnmpPacketHandler`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.